% KERN toolbox
% Version 0.225		28-Nov-2009
% Copyright (c) 2009, Neil D. Lawrence
% 
, Neil D. Lawrence
% LINARD2KERNEXTRACTPARAM Extract parameters from the LINARD2 kernel structure.
% RBFPERIODICKERNPARAMINIT RBFPERIODIC kernel parameter initialisation.
% RBFWHITEXRBFWHITEKERNGRADIENT Compute a cross gradient between two
% DISIMXSIMKERNCOMPUTE Compute a cross kernel between DISIM and SIM kernels.
% EXPKERNEXPANDPARAM Create kernel structure from EXP kernel's parameters.
% WHITEFIXEDKERNGRADX Gradient of WHITEFIXED kernel with respect to a point x.
% SIMWHITEXRBFWHITEKERNCOMPUTE Compute a cross kernel between a SIM-WHITE
% SIMWHITEXRBFWHITEKERNGRADIENT Compute a cross gradient between a SIM-WHITE
% DISIMXDISIMKERNGRADIENT Compute a cross gradient between two DISIM kernels.
% DISIMKERNGRADIENT Gradient of DISIM kernel's parameters.
% WIENERKERNCOMPUTE Compute the WIENER kernel given the parameters and X.
% TRANSLATEKERNGRADX Gradient of TRANSLATE kernel with respect to a point x.
% RATQUADKERNEXPANDPARAM Create kernel structure from RATQUAD kernel's parameters.
% SQEXPKERNGRADIENT Gradient of SQEXP kernel's parameters.
% MATERN32KERNCOMPUTE Compute the MATERN32 kernel given the parameters and X.
% MLPKERNDIAGGRADX Gradient of MLP kernel's diagonal with respect to X.
% WHITEFIXEDXWHITEFIXEDKERNCOMPUTE Compute a cross kernel between two WHITEFIXED kernels.
% MLPARDKERNGRADIENT Gradient of MLPARD kernel's parameters.
% LFMWHITEKERNEXPANDPARAM Create kernel structure from LFM-WHITE kernel's
% LFMWHITEKERNEXTRACTPARAM Extract parameters from the LFM-WHITE kernel
% TENSORKERNDISPLAY Display parameters of the TENSOR kernel.
% DISIMKERNEXTRACTPARAM Extract parameters from the DISIM kernel structure.
% GGWHITEXGAUSSIANWHITEKERNGRADX Compute gradient between the GG white and
% SIMSAMPLE Sample from SIM kernel
% GIBBSPERIODICKERNGRADIENT Gradient of GIBBSPERIODIC kernel's parameters.
% LFMWHITEXLFMWHITEKERNGRADIENT Compute a cross gradient between two
% LFMWHITEKERNGRADIENT Gradient of LFM-WHITE kernel's parameters.
% SQEXPKERNDIAGGRADX Gradient of SQEXP kernel's diagonal with respect to X.
% GGWHITEXGGWHITEKERNGRADIENT Compute a cross gradient between two GG WHITE kernels.
% GIBBSKERNDIAGCOMPUTE Compute diagonal of GIBBS kernel.
% GGKERNEXPANDPARAM Create kernel structure from GG kernel's parameters.
% OUKERNEXTRACTPARAM Extract parameters from the OU kernel structure (see
% LINARDKERNEXTRACTPARAM Extract parameters from the LINARD kernel structure.
% LFMWHITEKERNGRADX Gradient of LFM-WHITE kernel with respect to a point t.
% GAUSSIANWHITEKERNGRADIENT Gradient of gaussian white kernel's parameters.
% LFMGRADIENTSIGMAH3 Gradient of the function h_i(z) with respect \sigma.
% DISIMKERNPARAMINIT DISIM kernel parameter initialisation.
% KERNREADPARAMSFROMFID Read the kernel parameters from C++ file FID.
% TENSORKERNGRADX Gradient of TENSOR kernel with respect to a point x.
% RBFPERIODICKERNGRADX Gradient of RBFPERIODIC kernel with respect to a point x.
% MATERN32KERNDIAGGRADIENT Compute the gradient of the MATERN32 kernel's diagonal wrt parameters.
% RBFWHITEKERNGRADIENT Gradient of RBF-WHITE kernel's parameters.
% DEXPKERNEXTRACTPARAM Extract parameters from the double exponential's
% MATERN32KERNEXPANDPARAM Create kernel structure from MATERN32 kernel's parameters.
% SIMKERNDIAGCOMPUTE Compute diagonal of SIM kernel.
% TRANSLATEKERNDIAGCOMPUTE Compute diagonal of TRANSLATE kernel.
% POLYKERNCOMPUTE Compute the POLY kernel given the parameters and X.
% MATERN32KERNGRADIENT Gradient of MATERN32 kernel's parameters.
% MULTIKERNFIXBLOCKS
% MLPKERNCOMPUTE Compute the MLP kernel given the parameters and X.
% POLYKERNEXPANDPARAM Create kernel structure from POLY kernel's parameters.
% GGWHITEKERNEXPANDPARAM Create kernel structure from GG white kernel's parameters.
% LINKERNDISPLAY Display parameters of the LIN kernel.
% KERNCOMPUTE Compute the kernel given the parameters and X.
% LFMWHITEKERNDIAGCOMPUTE Compute diagonal of LFM-WHITE kernel.
% GGWHITEKERNPARAMINIT GG WHITE kernel parameter initialisation.
% TENSORKERNDIAGGRADX Gradient of TENSOR kernel's diagonal with respect to X.
% NONEKERNGRADIENT Gradient of NONE kernel's parameters.
% LFMWHITECOMPUTEGRADTHETAH2 computes a portion of the LFM-WHITE kernel's gradient w.r.t. theta.
% DISIMXDISIMKERNCOMPUTE Compute a cross kernel between two DISIM kernels.
% RATQUADKERNCOMPUTE Compute the RATQUAD kernel given the parameters and X.
% RBFINFWHITEXWHITEKERNGRADIENT Compute gradient between the RBF-WHITE kernel
% MLPARDKERNDIAGGRADX Gradient of MLPARD kernel's diagonal with respect to X.
% GGWHITEXGGWHITEKERNCOMPUTE Compute a cross kernel between two GG white kernels.
% KERNPCA performs KPCA.
% TENSORKERNEXTRACTPARAM Extract parameters from the TENSOR kernel structure.
% FILEKERNDIAGCOMPUTE Compute diagonal of FILE kernel.
% EXPKERNPARAMINIT EXP kernel parameter initialisation.
% LINARD2KERNPARAMINIT LINARD2 kernel parameter initialisation.
% SIMKERNEXTRACTPARAM Extract parameters from the SIM kernel structure.
% MLPKERNGRADIENT Gradient of MLP kernel's parameters.
% MATERN32KERNGRADX Gradient of MATERN32 kernel with respect to input locations.
% EXPKERNCOMPUTE Compute the EXP kernel given the parameters and X.
% WHITEFIXEDKERNEXTRACTPARAM Extract parameters from the WHITEFIXED kernel structure.
% POLYARDKERNEXTRACTPARAM Extract parameters from the POLYARD kernel structure.
% GIBBSKERNSETLENGTHSCALEFUNC Set the length scale function of the GIBBS kernel.
% OUKERNDIAGCOMPUTE Compute diagonal of OU kernel (see ouKernCompute or
% GGWHITEKERNDIAGCOMPUTE Compute diagonal of GG WHITE kernel.
% SQEXPKERNGRADX Gradient of SQEXP kernel with respect to a point x.
% KERNCREATE Initialise a kernel structure.
% NONEKERNCOMPUTE Compute the NONE kernel given the parameters and X.
% MLPKERNDISPLAY Display parameters of the MLP kernel.
% KERNDIAGGRADIENT Compute the gradient of the kernel's parameters for the diagonal.
% RBFARDKERNGRADX Gradient of RBFARD kernel with respect to input locations.
% GGWHITEKERNCOMPUTE Compute the GG white kernel given the parameters and X.
% WHITEFIXEDKERNCOMPUTE Compute the WHITEFIXED kernel given the parameters and X.
% LFMXLFMKERNCOMPUTE Compute a cross kernel between two LFM kernels.
% WHITEHKERNDIAGGRADIENT Compute the gradient of the WHITEH kernel's diagonal wrt parameters.
% SIMWHITEKERNDIAGGRADX Gradient of SIM-WHITE kernel's diagonal w.r.t. t.
% POLYKERNDIAGCOMPUTE Compute diagonal of POLY kernel.
% CMPNDKERNEXTRACTPARAM Extract parameters from the CMPND kernel structure.
% BIASKERNDIAGGRADIENT Compute the gradient of the BIAS kernel's diagonal wrt parameters.
% GIBBSKERNDISPLAY Display parameters of the GIBBS kernel.
% COMPONENTKERNREADPARAMSFROMFID Read a component based kernel from a C++ file.
% LFMUPDATEKERNELS Updates the kernel representations in the LFM structure.
% POLYARDKERNEXPANDPARAM Create kernel structure from POLYARD kernel's parameters.
% RATQUADKERNDIAGGRADIENT Compute the gradient of the RATQUAD kernel's diagonal wrt parameters.
% RBFARDKERNEXTRACTPARAM Extract parameters from the RBFARD kernel structure.
% ARDKERNEXTRACTPARAM Extract parameters from the ARD kernel structure.
% TENSORKERNGRADIENT Gradient of TENSOR kernel's parameters.
% RBFKERNDIAGGRADIENT Compute the gradient of the RBF kernel's diagonal wrt parameters.
% LINKERNEXPANDPARAM Create kernel structure from LIN kernel's parameters.
% BIASKERNGRADIENT Gradient of BIAS kernel's parameters.
% RATQUADKERNPARAMINIT RATQUAD kernel parameter initialisation.
% LFMWHITEXRBFWHITEKERNGRADIENT Compute a cross gradient between an LFM-WHITE
% KERNELCENTER Attempts to Center Kernel Matrix
% RBFARD2KERNDIAGGRADIENT Compute the gradient of the RBFARD2 kernel's diagonal wrt parameters.
% GGXGAUSSIANKERNCOMPUTE Compute a cross kernel between the GG and GAUSSIAN kernels.
% WHITEKERNGRADIENT Gradient of WHITE kernel's parameters.
% DISIMCOMPUTEHPRIME Helper function for comptuing part of the DISIM kernel.
% RATQUADKERNGRADIENT Gradient of RATQUAD kernel's parameters.
% LFMKERNDIAGCOMPUTE Compute diagonal of LFM kernel.
% MLPKERNEXTRACTPARAM Extract parameters from the MLP kernel structure.
% LFMWHITEXWHITEKERNCOMPUTE Compute a cross kernel between the LFM-WHITE
% RBFKERNGRADIENT Gradient of RBF kernel's parameters.
% RATQUADKERNDIAGGRADX Gradient of RATQUAD kernel's diagonal with respect to X.
% SIMWHITEXSIMWHITEKERNCOMPUTE Compute a cross kernel between two SIM-WHITE
% LFMOPTIONS Creates a set of default options for a LFM model.
% LFMGRADIENTH Gradient of the function h_i(z) with respect to some of the
% LFMGRADIENTSIGMAH Gradient of the function h_i(z) with respect \sigma.
% RBFWHITEKERNDISPLAY Display parameters of the RBF-WHITE kernel.
% WHITEFIXEDKERNEXPANDPARAM Create kernel structure from WHITEFIXED kernel's parameters.
% SIMXSIMKERNCOMPUTE Compute a cross kernel between two SIM kernels.
% MULTIKERNCOMPUTEBLOCK
% ARDKERNPARAMINIT ARD kernel parameter initialisation.
% SIMKERNDIAGGRADIENT Compute the gradient of the SIM kernel's diagonal wrt parameters.
% GGXGAUSSIANKERNGRADIENT Compute gradient between the GG and GAUSSIAN kernels.
% KERNSETWHITE Helper function to set the white noise in a kernel if it exists.
% RBFARDKERNGRADIENT Gradient of RBFARD kernel's parameters.
% RBFARDKERNDIAGGRADX Gradient of RBFARD kernel's diagonal with respect to X.
% GGKERNPARAMINIT GG kernel parameter initialisation.
% ARDKERNCOMPUTE Compute the ARD kernel given the parameters and X.
% LINARD2KERNGRADIENT Gradient of LINARD2 kernel's parameters.
% BIASKERNDISPLAY Display parameters of the BIASkernel.
% GGKERNCOMPUTE Compute the GG kernel given the parameters and X.
% GIBBSKERNGRADIENT Gradient of GIBBS kernel's parameters.
% WHITEHKERNCOMPUTE Compute the WHITEH kernel given the parameters and X.
% GIBBSPERIODICKERNEXPANDPARAM Create kernel structure from GIBBSPERIODIC kernel's parameters.
% WIENERKERNEXPANDPARAM Create kernel structure from WIENER kernel's parameters.
% SIMWHITEXRBFINFWHITEKERNCOMPUTE Compute a cross kernel between a SIM-WHITE
% WIENERKERNGRADX Gradient of WIENER kernel with respect to a point x.
% POLYARDKERNDIAGGRADX Gradient of POLYARD kernel's diagonal with respect to X.
% RBFKERNGRADX Gradient of RBF kernel with respect to input locations.
% DEXPKERNEXPANDPARAM Create a kernel structure from the double exponential
% MULTIKERNCOMPUTE Compute the MULTI kernel given the parameters and X.
% RBFARD2KERNCOMPUTE Compute the RBFARD kernel given the parameters and X.
% TRANSLATEKERNPARAMINIT TRANSLATE kernel parameter initialisation.
% BIASKERNDIAGCOMPUTE Compute diagonal of BIAS kernel.
% LFMXRBFKERNGRADIENT Compute gradient between the LFM and RBF kernels.
% KERNDIAGGRADX Compute the gradient of the  kernel wrt X.
% DISIMKERNEXPANDPARAM Create kernel structure from DISIM kernel's parameters.
% BIASKERNPARAMINIT BIAS kernel parameter initialisation.
% BIASKERNDIAGGRADX Gradient of BIAS kernel's diagonal with respect to X.
% TENSORKERNSETINDEX Set the indices in the tensor kernel.
% MATERN52KERNEXTRACTPARAM Extract parameters from the MATERN52 kernel structure.
% WHITEFIXEDKERNPARAMINIT WHITEFIXED kernel parameter initialisation.
% SIMKERNDISPLAY Display parameters of the SIM kernel.
% LINKERNCOMPUTE Compute the LIN kernel given the parameters and X.
% WHITEKERNCOMPUTE Compute the WHITE kernel given the parameters and X.
% RBFWHITEXRBFWHITEKERNCOMPUTE Compute a cross kernel between two RBF-WHITE
% LINARD2KERNCOMPUTE Compute the LINARD2 kernel given the parameters and X.
% GGKERNEXTRACTPARAM Extract parameters from the GG kernel structure.
% LFMGRADIENTH32 Gradient of the function h_i(z) with respect to some of the
% ARDKERNDIAGGRADIENT Compute the gradient of the ARD kernel's diagonal wrt parameters.
% MLPKERNPARAMINIT MLP kernel parameter initialisation.
% RBFWHITEKERNEXTRACTPARAM Extract parameters from the RBF-WHITE kernel
% LFMCOMPUTEUPSILON Helper function for comptuing part of the LFM kernel.
% DEXPKERNGRADIENT Gradient of the double exponential kernel's parameters.
% LFMGRADIENTH42 Gradient of the function h_i(z) with respect to some of the
% FILEKERNEXPANDPARAM Create kernel structure from FILE kernel's parameters.
% FILEKERNPARAMINIT FILE kernel parameter initialisation.
% MLPARDKERNEXTRACTPARAM Extract parameters from the MLPARD kernel structure.
% SIMKERNCOMPUTE Compute the SIM kernel given the parameters and X.
% RBFWHITEXWHITEKERNGRADIENT Compute gradient between the RBF-WHITE and
% ARDKERNDISPLAY Display parameters of the ARD kernel.
% MATERN52KERNDISPLAY Display parameters of the MATERN52 kernel.
% DEXPKERNPARAMINIT The double exponential kernel is usually called
% CMPNDKERNDIAGCOMPUTE Compute diagonal of CMPND kernel.
% MULTIKERNEXPANDPARAM Create kernel structure from MULTI kernel's parameters.
% SQEXPKERNPARAMINIT SQEXP kernel parameter initialisation.
% KERNFACTORS Extract factors associated with transformed optimisation space.
% LFMKERNGRADX Gradient of LFM kernel with respect to a point x.
% RATQUADKERNDISPLAY Display parameters of the RATQUAD kernel.
% LFMWHITEXLFMWHITEKERNCOMPUTE Compute a cross kernel between two LFM-WHITE
% DISIMXRBFKERNGRADIENT Compute gradient between the DISIM and RBF kernels.
% GIBBSPERIODICKERNDIAGGRADX Gradient of GIBBSPERIODIC kernel's diagonal with respect to X.
% ARDKERNEXPANDPARAM Create kernel structure from ARD kernel's parameters.
% KERNTEST Run some tests on the specified kernel.
% WHITEKERNGRADX Gradient of WHITE kernel with respect to input locations.
% SIMCOMPUTEH Helper function for comptuing part of the SIM kernel.
% SIMWHITEXSIMWHITEKERNGRADIENT Compute a cross gradient between two
% RBFINFWHITEXRBFINFWHITEKERNGRADIENT Compute a cross gradient between two
% POLYARDKERNPARAMINIT POLYARD kernel parameter initialisation.
% LFMKERNEXPANDPARAM Create kernel structure from LFM kernel's parameters.
% RBFKERNEXTRACTPARAM Extract parameters from the RBF kernel structure.
% MATERN52KERNGRADX Gradient of MATERN52 kernel with respect to input locations.
% KERNWRITEPARAMSTOFID Write the kernel parameters to a stream.
% RBFPERIODICKERNDISPLAY Display parameters of the RBFPERIODIC kernel.
% DISIMKERNDIAGCOMPUTE Compute diagonal of DISIM kernel.
% LINARD2KERNGRADX Gradient of LINARD2 kernel with respect to input locations.
% POLYARDKERNDISPLAY Display parameters of the POLYARD kernel.
% SIMCOMPUTETEST Test the file simComputeH.
% POLYKERNDIAGGRADX Gradient of POLY kernel's diagonal with respect to X.
% GGWHITEXWHITEKERNCOMPUTE Compute a cross kernel between a GG white and
% LINARDKERNDISPLAY Display parameters of the LINARD kernel.
% WHITEHKERNPARAMINIT WHITEH kernel parameter initialisation.
% TENSORKERNSLASH Tensor kernel created by removing ith component.
% RBFINFWHITEKERNEXTRACTPARAM Extract parameters from the RBF-WHITE kernel
% RBFPERIODICKERNEXTRACTPARAM Extract parameters from the RBFPERIODIC kernel structure.
% KERNTOOLBOXES Load in the relevant toolboxes for kern.
% SIMWHITEKERNCOMPUTE Compute the SIM-WHITE kernel given the parameters, t1
% WHITEFIXEDKERNDIAGGRADX Gradient of WHITEFIXED kernel's diagonal with respect to X.
% LFMWHITEKERNDIAGGRADX Gradient of LFM-WHITE kernel's diagonal w.r.t. t.
% LINKERNGRADIENT Gradient of LIN kernel's parameters.
% WIENERKERNGRADIENT Gradient of WIENER kernel's parameters.
% OUKERNDISPLAY Display parameters of the OU kernel (see ouKernCompute or
% POLYKERNPARAMINIT POLY kernel parameter initialisation.
% LFMKERNGRADIENT Gradient of LFM kernel's parameters.
% RBFARD2KERNEXTRACTPARAM Extract parameters from the RBFARD2 kernel structure.
% SQEXPKERNDIAGGRADIENT Compute the gradient of the SQEXP kernel's diagonal wrt parameters.
% SIMWHITEKERNPARAMINIT SIM-WHITE kernel parameter initialisation.
% GGWHITEKERNEXTRACTPARAM Extract parameters from the GG WHITE kernel structure.
% GAUSSIANKERNDIAGCOMPUTE Compute diagonal of gaussian kernel.
% MULTIKERNGRADX Gradient of MULTI kernel with respect to a point x.
% LFMGRADIENTUPSILON Gradient of the function \upsilon(z) with respect to
% RBFARDKERNDIAGGRADIENT Compute the gradient of the RBFARD kernel's diagonal wrt parameters.
% RBFINFWHITEKERNCOMPUTE Compute the RBF-WHITE kernel (with integration limits
% LINARDKERNCOMPUTE Compute the LINARD kernel given the parameters and X.
% SQEXPKERNCOMPUTE Compute the SQEXP kernel given the parameters and X.
% LFMKERNDISPLAY Display parameters of the LFM kernel.
% GAUSSIANWHITEKERNCOMPUTE Compute the covariance of the output samples 
% LFMCOMPUTEH Helper function for computing part of the LFM kernel.
% RBFXNONEKERNGRADIENT Compute a cross gradient between RBF and DUMMY
% LFMEXTRACTPARAM Extract the parameters of an LFM model.
% NONEKERNDIAGCOMPUTE Compute diagonal of NONE kernel.
% FILEKERNREAD Read kernel values from file or cache.
% SIMKERNEXPANDPARAM Create kernel structure from SIM kernel's parameters.
% RBFPERIODICKERNDIAGGRADIENT Compute the gradient of the RBFPERIODIC kernel's diagonal wrt parameters.
% RBFARD2KERNGRADIENT Gradient of RBFARD2 kernel's parameters.
% RBFWHITEKERNEXPANDPARAM Create kernel structure from RBF-WHITE kernel's
% GGXGAUSSIANKERNGRADX Compute gradient between the GG and GAUSSIAN
% LINARD2KERNDIAGGRADX Gradient of LINARD2 kernel's diagonal with respect to X.
% TENSORKERNCOMPUTE Compute the TENSOR kernel given the parameters and X.
% GIBBSKERNCOMPUTE Compute the GIBBS kernel given the parameters and X.
% LINKERNPARAMINIT LIN kernel parameter initialisation.
% WHITEKERNEXPANDPARAM Create kernel structure from WHITE kernel's parameters.
% RATQUADKERNDIAGCOMPUTE Compute diagonal of RATQUAD kernel.
% SQEXPKERNEXPANDPARAM Create kernel structure from SQEXP kernel's parameters.
% DISIMKERNDISPLAY Display parameters of the DISIM kernel.
% RBFARD2KERNEXPANDPARAM Create kernel structure from RBFARD2 kernel's parameters.
% GAUSSIANKERNCOMPUTE Compute the Gaussian kernel given the parameters and X.
% DEXPKERNDISPLAY Display parameters of the double exponential kernel.
% MATERN32KERNDIAGGRADX Gradient of MATERN32 kernel's diagonal with respect to X.
% KERNGETVARIANCE Get the signal associated with a the kernel.
% CMPNDKERNGRADX Gradient of CMPND kernel with respect to a point x.
% NONEKERNDISPLAY Display parameters of the NONE kernel.
% GIBBSKERNEXPANDPARAM Create kernel structure from GIBBS kernel's parameters.
% DISIMSAMPLE Sample from SIM kernel
% SIMKERNGRADX Gradient of SIM kernel with respect to each time point in t1.
% LFMTEST Test the gradients of the LFM model.
% POLYARDKERNGRADIENT Gradient of POLYARD kernel's parameters.
% GIBBSKERNEXTRACTPARAM Extract parameters from the GIBBS kernel structure.
% LFMWHITECOMPUTEH Helper function for computing part of the LFM-WHITE
% RBFPERIODICKERNGRADIENT Gradient of RBFPERIODIC kernel's parameters.
% LFMSAMPLE Sample from LFM kernel
% OUKERNCOMPUTE Compute the Ornstein-Uhlenbeck (OU) kernel arising from the
% SQEXPKERNDIAGCOMPUTE Compute diagonal of SQEXP kernel.
% GGXGGKERNCOMPUTE Compute a cross kernel between two GG kernels.
% LINARDKERNPARAMINIT LINARD kernel parameter initialisation.
% GAUSSIANWHITEKERNDIAGGRADX Gradient of gaussian white kernel's diagonal with respect to X.
% POLYARDKERNCOMPUTE Compute the POLYARD kernel given the parameters and X.
% LFMCOMPUTEH4 Helper function for computing part of the LFM kernel.
% LFMWHITEXWHITEKERNGRADIENT Compute gradient between the LFM-WHITE and
% LFMGRADIENTSIGMAH4 Gradient of the function h_i(z) with respect \sigma.
% SIMCOMPUTEHSTAT Helper function for computing part of the stationary version
% RBFARD2KERNDISPLAY Display parameters of the RBFARD2 kernel.
% WHITEFIXEDKERNGRADIENT Gradient of WHITEFIXED kernel's parameters.
% WHITEKERNPARAMINIT WHITE kernel parameter initialisation.
% SIMXSIMKERNGRADIENT Compute a cross gradient between two SIM kernels.
% WHITEXNONEKERNGRADIENT Compute a cross gradient between WHITE and DUMMY kernels.
% LFMKERNDIAGGRADX Gradient of LFM kernel's diagonal with respect to X.
% TRANSLATEKERNCOMPUTE Compute the TRANSLATE kernel given the parameters and X.
% LFMKERNDIAGGRADIENT Compute the gradient of the LFM kernel's diagonal wrt parameters.
% RBFPERIODICKERNDIAGGRADX Gradient of RBFPERIODIC kernel's diagonal with respect to X.
% WHITEHKERNEXPANDPARAM Create kernel structure from WHITEH kernel's parameters.
% ARDKERNDIAGGRADX Gradient of ARD kernel's diagonal with respect to X.
% LINARDKERNEXPANDPARAM Create kernel structure from LINARD kernel's parameters.
% WHITEFIXEDKERNDISPLAY Display parameters of the WHITEFIXED kernel.
% EXPKERNDISPLAY Display parameters of the EXP kernel.
% SIMWHITEXWHITEKERNCOMPUTE Compute a cross kernel between the SIM-WHITE
% KERNDISPLAY Display the parameters of the kernel.
% WHITEHKERNGRADIENT Gradient of WHITEH kernel's parameters.
% GGKERNDIAGCOMPUTE Compute diagonal of GG kernel.
% KERNPRIORGRADIENT Compute gradient terms associated with kernel priors.
% GGXGGKERNGRADIENT Compute a cross gradient between two GG kernels.
% LFMWHITEKERNCOMPUTE Compute the LFM-WHITE kernel given the parameters, t1
% KERNDIAGCOMPUTE Compute the kernel given the parameters and X.
% RBFKERNDISPLAY Display parameters of the RBF kernel.
% DISIMXRBFKERNCOMPUTE Compute a cross kernel between the DISIM and RBF kernels.
% SQEXPKERNEXTRACTPARAM Extract parameters from the SQEXP kernel structure.
% MATERN32KERNDISPLAY Display parameters of the MATERN32 kernel.
% SPARSEKERNDISPLAY Display parameters of the SPARSE kernel.
% MLPARDKERNDIAGCOMPUTE Compute diagonal of MLPARD kernel.
% GAUSSIANWHITEKERNDIAGCOMPUTE Compute diagonal of gaussian white kernel.
% CMPNDKERNEXPANDPARAM Create kernel structure from CMPND kernel's parameters.
% POLYKERNGRADX Gradient of POLY kernel with respect to input locations.
% GIBBSPERIODICKERNCOMPUTE Compute the GIBBSPERIODIC kernel given the parameters and X.
% WHITEHKERNGRADX Gradient of WHITEH kernel with respect to input locations.
% TENSORKERNDIAGCOMPUTE Compute diagonal of TENSOR kernel.
% LFMCREATE Create a LFM model.
% LFMGRADIENTH41 Gradient of the function h_i(z) with respect to some of the
% RBFINFWHITEKERNDIAGGRADX Gradient of RBF-WHITE kernel's (with integration
% POLYKERNDISPLAY Display parameters of the POLY kernel.
% RBFINFWHITEKERNGRADIENT Gradient of the parameters of the RBF-WHITE kernel
% MATERN32KERNPARAMINIT MATERN32 kernel parameter initialisation.
% WIENERKERNEXTRACTPARAM Extract parameters from the WIENER kernel structure.
% OUKERNEXPANDPARAM Create kernel structure from OU kernel's parameters
% WIENERKERNDISPLAY Display parameters of the WIENER kernel.
% GAUSSIANWHITEKERNEXPANDPARAM Create kernel structure from gaussian white 
% LFMXRBFKERNCOMPUTE Compute a cross kernel between the LFM and RBF kernels.
% RBFINFWHITEKERNGRADX Gradient of RBF-WHITE kernel (with integration limits
% WHITEFIXEDXWHITEFIXEDKERNGRADIENT Compute a cross gradient between two WHITEFIXED kernels.
% LFMLOGLIKELIHOOD Compute the log likelihood of a LFM model.
% MATERN52KERNDIAGCOMPUTE Compute diagonal of MATERN52 kernel.
% GAUSSIANKERNDIAGGRADIENT Compute the gradient of the gaussian kernel's diagonal wrt parameters.
% LINARD2KERNDISPLAY Display parameters of the LINARD2 kernel.
% LFMKERNEXTRACTPARAM Extract parameters from the LFM kernel structure.
% GAUSSIANKERNDIAGGRADX Gradient of gaussian kernel's diagonal with respect to X.
% OUKERNGRADX Gradient of OU kernel with respect to a point x (see
% MLPARDKERNPARAMINIT MLPARD kernel parameter initialisation.
% CMPNDKERNDISPLAY Display parameters of the CMPND kernel.
% RBFPERIODICKERNDIAGCOMPUTE Compute diagonal of RBFPERIODIC kernel.
% WIENERKERNPARAMINIT WIENER kernel parameter initialisation.
% EXPKERNEXTRACTPARAM Extract parameters from the EXP kernel structure.
% MULTIKERNDIAGGRADIENT Compute the gradient of the MULTI kernel's diagonal wrt parameters.
% RBFINFWHITEKERNDISPLAY Display parameters of the RBF-WHITE kernel (with
% GAUSSIANWHITEKERNEXTRACTPARAM Extract parameters from the gaussian white 
% RBFXNONEKERNCOMPUTE Compute a cross kernel between RBF and NONE kernels.
% LFMLOGLIKEGRADIENTS Compute the gradients of the log likelihood of a LFM model.
% ARDKERNDIAGCOMPUTE Compute diagonal of ARD kernel.
% RBFARD2KERNDIAGCOMPUTE Compute diagonal of RBFARD2 kernel.
% MATERN52KERNDIAGGRADIENT Compute the gradient of the MATERN52 kernel's diagonal wrt parameters.
% ARDKERNGRADX Gradient of ARD kernel with respect to a point x.
% MATERN52KERNEXPANDPARAM Create kernel structure from MATERN52 kernel's parameters.
% COMPUTEKERNEL Compute the kernel given the parameters and X.
% MULTIKERNTEST Run some tests on the multiple output block kernel.
% POLYARDKERNDIAGCOMPUTE Compute diagonal of POLYARD kernel.
% PSKERNELGRADIENT Gradient on likelihood approximation for point set IVM.
% KERNCORRELATION Compute the correlation matrix kernel given the parameters and X.
% FILEKERNDISPLAY Display parameters of the FILE kernel.
% LFMWHITECOMPUTEPSI Helper function for comptuing part of the LFM-WHITE
% NONEKERNPARAMINIT NONE kernel parameter initialisation.  
% WHITEKERNDIAGCOMPUTE Compute diagonal of WHITE kernel.
% CMPNDKERNDIAGGRADX Gradient of CMPND kernel's diagonal with respect to X.
% MLPARDKERNEXPANDPARAM Create kernel structure from MLPARD kernel's parameters.
% SIMWHITEXWHITEKERNGRADIENT Compute gradient between the SIM-WHITE and WHITE kernels.
% LINKERNDIAGCOMPUTE Compute diagonal of LIN kernel.
% GAUSSIANKERNEXTRACTPARAM Extract parameters from the gaussian kernel structure.
% MULTIKERNDIAGCOMPUTE Compute diagonal of MULTI kernel.
% MLPARDKERNGRADX Gradient of MLPARD kernel with respect to input locations.
% MATERN52KERNGRADIENT Gradient of MATERN52 kernel's parameters.
% LFMKERNCOMPUTE Compute the LFM kernel given the parameters and X.
% TRANSLATEKERNDIAGGRADX Gradient of TRANSLATE kernel's diagonal with respect to X.
% MATERN32KERNDIAGCOMPUTE Compute diagonal of MATERN32 kernel.
% DEXPKERNDIAGGRADX Gradient of the double exponential kernel's diagonal
% SIMWHITEKERNGRADIENT Gradient of SIM-WHITE kernel's parameters.
% LINARD2KERNDIAGCOMPUTE Compute diagonal of LINARD2 kernel.
% GIBBSPERIODICKERNDISPLAY Display parameters of the GIBBSPERIODIC kernel.
% BIASKERNGRADX Gradient of BIAS kernel with respect to input locations.
% FILEKERNGRADX Gradient of FILE kernel with respect to a point x.
% GAUSSIANKERNGRADX Gradient of gaussian kernel with respect to input locations.
% KERNPRIORLOGPROB Compute penalty terms associated with kernel priors.
% GIBBSPERIODICKERNGRADX Gradient of GIBBSPERIODIC kernel with respect to a point x.
% LINKERNGRADX Gradient of LIN kernel with respect to input locations.
% COMPONENTKERNWRITEPARAMSTOFID Write a component based kernel to a stream.
% GGWHITEXGAUSSIANWHITEKERNCOMPUTE Compute a cross kernel between the GG white and GAUSSIAN white kernels.
% WHITEHKERNDIAGCOMPUTE Compute diagonal of WHITEH kernel.
% LINARDKERNDIAGCOMPUTE Compute diagonal of LINARD kernel.
% RBFPERIODICKERNCOMPUTE Compute the RBFPERIODIC kernel given the parameters and X.
% TENSORKERNDIAGGRADIENT Compute the gradient of the TENSOR kernel's diagonal wrt parameters.
% MLPKERNGRADX Gradient of MLP kernel with respect to input locations.
% CMPNDKERNSETINDEX Set the indices in the compound kernel.
% EXPKERNDIAGGRADX Gradient of EXP kernel's diagonal with respect to X.
% LFMWHITEKERNPARAMINIT LFM-WHITE kernel parameter initialisation.
% CMPNDKERNPARAMINIT CMPND kernel parameter initialisation.
% RBFWHITEKERNPARAMINIT RBF-WHITE kernel parameter initialisation. The RBF-
% WHITEXWHITEKERNGRADX
% DISIMKERNDIAGGRADX Gradient of DISIM kernel's diagonal with respect to X.
% RBFKERNCOMPUTE Compute the RBF kernel given the parameters and X.
% RBFARD2KERNGRADX Gradient of RBFARD2 kernel with respect to input locations.
% BIASKERNEXPANDPARAM Create kernel structure from BIAS kernel's parameters.
% MATERN32KERNEXTRACTPARAM Extract parameters from the MATERN32 kernel structure.
% RBFARDKERNDISPLAY Display parameters of the RBFARD kernel.
% POLYKERNEXTRACTPARAM Extract parameters from the POLY kernel structure.
% ARDKERNGRADIENT Gradient of ARD kernel's parameters.
% MULTIKERNGRADIENT Gradient of MULTI kernel's parameters.
% RBFINFWHITEXRBFINFWHITEKERNCOMPUTE Compute a cross kernel between two
% LFMKERNPARAMINIT LFM kernel parameter initialisation. The latent force
% RBFINFWHITEKERNPARAMINIT The RBF-WHITE-INF kernel is a convolutional
% CMPNDKERNCOMPUTE Compute the CMPND kernel given the parameters and X.
% GGWHITEKERNDISPLAY Display parameters of the GG WHITE kernel.
% MULTIKERNPARAMINIT MULTI kernel parameter initialisation.
% DISIMXSIMKERNGRADIENT Compute gradient between the DISIM and SIM kernels.
% WHITEFIXEDKERNDIAGGRADIENT Compute the gradient of the WHITEFIXED kernel's diagonal wrt parameters.
% SIMKERNGRADIENT Gradient of SIM kernel's parameters.
% NONEKERNGRADX Gradient of NONE kernel with respect to a point x.
% DISIMKERNGRADX Gradient of DISIM kernel with respect to a point x.
% MLPARDKERNCOMPUTE Compute the MLPARD kernel given the parameters and X.
% WHITEFIXEDKERNDIAGCOMPUTE Compute diagonal of WHITEFIXED kernel.
% KERNWRITETOFID Load from an FID written by the C++ implementation.
% WHITEKERNEXTRACTPARAM Extract parameters from the WHITE kernel structure.
% GIBBSPERIODICKERNDIAGCOMPUTE Compute diagonal of GIBBSPERIODIC kernel.
% RBFINFWHITEKERNDIAGCOMPUTE Compute diagonal of RBF-WHITE kernel (with
% DEXPKERNDIAGCOMPUTE Compute diagonal of the double exponential kernel.
% SIMWHITEKERNEXTRACTPARAM Extract parameters from the SIM-WHITE kernel
% DISIMKERNCOMPUTE Compute the DISIM kernel given the parameters and X.
% KERNGRADIENT Compute the gradient wrt the kernel's parameters.
% RBFKERNPARAMINIT RBF kernel parameter initialisation.
% WHITEXRBFKERNGRADIENT Compute a cross gradient between WHITE and RBF kernels.
% WHITEXNONEKERNCOMPUTE Compute a cross kernel between WHITE and NONE kernels.
% SIMWHITEKERNEXPANDPARAM Create kernel structure from SIM-WHITE kernel's
% WIENERKERNDIAGCOMPUTE Compute diagonal of WIENER kernel.
% KERNEXTRACTPARAM Extract parameters from kernel structure.
% GIBBSPERIODICKERNDIAGGRADIENT Compute the gradient of the GIBBSPERIODIC kernel's diagonal wrt parameters.
% SIMXRBFKERNGRADIENT Compute gradient between the SIM and RBF kernels.
% OUKERNDIAGGRADX Gradient of OU kernel's diagonal with respect to t (see
% MULTIKERNCACHEBLOCK
% MLPARDKERNDISPLAY Display parameters of the MLPARD kernel.
% SIMWHITEXRBFINFWHITEKERNGRADIENT Compute a cross gradient between a
% RBFWHITEXWHITEKERNCOMPUTE Compute a cross kernel between the RBF-WHITE
% RBFWHITEKERNGRADX Gradient of RBF-WHITE kernel with respect to a point t.
% EXPKERNGRADIENT Gradient of EXP kernel's parameters.
% LFMCOMPUTEH3 Helper function for computing part of the LFM kernel.
% RBFWHITEKERNCOMPUTE Compute the RBF-WHITE kernel given the parameters, t1
% TENSORKERNPARAMINIT TENSOR kernel parameter initialisation.
% GAUSSIANKERNDISPLAY Display parameters of the GAUSSIAN kernel.
% LFMGRADIENTSIGMAUPSILON Gradient of the function \upsilon(z) with respect
% GAUSSIANWHITEKERNPARAMINIT Gaussian white kernel parameter initialisation.
% WHITEXWHITEKERNGRADIENT Compute a cross gradient between two WHITE kernels.
% TENSORKERNEXPANDPARAM Create kernel structure from TENSOR kernel's parameters.
% RATQUADKERNGRADX Gradient of RATQUAD kernel with respect to input locations.
% GGKERNDISPLAY Display parameters of the GG kernel.
% RBFPERIODICKERNEXPANDPARAM Create kernel structure from RBFPERIODIC kernel's parameters.
% OUKERNGRADIENT Gradient of OU kernel's parameters (see ouKernCompute or
% GIBBSKERNPARAMINIT GIBBS kernel parameter initialisation.
% KERNPARAMINIT Kernel parameter initialisation.
% SIMWHITEKERNGRADX Gradient of SIM-WHITE kernel with respect to a point t.
% RBFINFWHITEXWHITEKERNCOMPUTE Compute a cross kernel between the RBF-WHITE
% DEXPKERNGRADX Gradient of the double exponential kernel with respect to a
% GGWHITEXGAUSSIANWHITEKERNGRADIENT Compute gradient between the GG white
% RBFARD2KERNPARAMINIT RBFARD2 kernel parameter initialisation.
% TRANSLATEKERNEXPANDPARAM Create kernel structure from TRANSLATE kernel's parameters.
% GGWHITEXWHITEKERNGRADIENT Compute gradient between the GGWHITE and WHITE kernels.
% GAUSSIANKERNEXPANDPARAM Create kernel structure from gaussian kernel's parameters.
% MULTIKERNGRADIENTBLOCK
% TRANSLATEKERNGRADIENT Gradient of TRANSLATE kernel's parameters.
% SIMXRBFKERNCOMPUTE Compute a cross kernel between the SIM and RBF kernels.
% MATERN52KERNPARAMINIT MATERN52 kernel parameter initialisation.
% MATERN52KERNCOMPUTE Compute the MATERN52 kernel given the parameters and X.
% BIASKERNEXTRACTPARAM Extract parameters from the BIAS kernel structure.
% RBFARD2KERNDIAGGRADX Gradient of RBFARD2 kernel's diagonal with respect to X.
% MULTIKERNDIAGGRADX Gradient of MULTI kernel's diagonal with respect to X.
% WHITEKERNDIAGGRADX Gradient of WHITE kernel's diagonal with respect to X.
% TRANSLATEKERNDISPLAY Display parameters of the TRANSLATE kernel.
% SIMKERNPARAMINIT SIM kernel parameter initialisation.
% FILEKERNGRADIENT Gradient of FILE kernel's parameters.
% RBFARDKERNCOMPUTE Compute the RBFARD kernel given the parameters and X.
% WHITEHKERNEXTRACTPARAM Extract parameters from the WHITEH kernel structure.
% GGWHITEKERNGRADIENT Gradient of GG WHITE kernel's parameters.
% KERNREADFROMFID Load from an FID written by the C++ implementation.
% DISIMKERNDIAGGRADIENT Compute the gradient of the DISIM kernel's diagonal wrt parameters.
% DISIMCOMPUTEH Helper function for comptuing part of the DISIM kernel.
% GGKERNGRADIENT Gradient of GG kernel's parameters.
% MLPKERNDIAGCOMPUTE Compute diagonal of MLP kernel.
% RBFARDKERNEXPANDPARAM Create kernel structure from RBFARD kernel's parameters.
% KERNSETINDEX Set the indices on a compound kernel.
% EXPKERNGRADX Gradient of EXP kernel with respect to a point x.
% GAUSSIANKERNGRADIENT Gradient of gaussian kernel's parameters.
% RBFWHITEKERNDIAGGRADX Gradient of RBF-WHITE kernel's diagonal w.r.t. t.
% LFMWHITECOMPUTEGRADTHETAH1 computes a portion of the LFM-WHITE kernel's gradient w.r.t. theta.
% LFMWHITEKERNDISPLAY Display parameters of the LFM-WHITE kernel.
% LFMEXPANDPARAM Expand the given parameters into a LFM structure.
% LINKERNDIAGGRADX Gradient of LIN kernel's diagonal with respect to X.
% LINARDKERNDIAGGRADX Gradient of LINARD kernel's diagonal with respect to X.
% RBFWHITEKERNDIAGCOMPUTE Compute diagonal of RBF-WHITE kernel.
% SIMKERNDIAGGRADX Gradient of SIM kernel's diagonal with respect to the
% WHITEHKERNDISPLAY Display parameters of the WHITEH kernel.
% EXPKERNDIAGCOMPUTE Compute diagonal of EXP kernel.
% LFMCOMPUTETEST Test the file lfmComputeH.
% KERNGRADX Compute the gradient of the kernel wrt X.
% FILEKERNEXTRACTPARAM Extract parameters from the FILE kernel structure.
% LINARDKERNGRADIENT Gradient of LINARD kernel's parameters.
% GAUSSIANKERNPARAMINIT Gaussian kernel parameter initialisation.
% POLYKERNGRADIENT Gradient of POLY kernel's parameters.
% SIMWHITEKERNDIAGCOMPUTE Compute the diagonal of the SIM-WHITE kernel.
% RBFKERNDIAGGRADX Gradient of RBF kernel's diagonal with respect to X.
% MULTIKERNEXTRACTPARAM Extract parameters from the MULTI kernel structure.
% NONEKERNEXTRACTPARAM Extract parameters from the NONE kernel structure.
% RBFARDKERNPARAMINIT RBFARD kernel parameter initialisation.
% WHITEXWHITEKERNCOMPUTE Compute a cross kernel between two WHITE kernels.
% RATQUADKERNEXTRACTPARAM Extract parameters from the RATQUAD kernel structure.
% GIBBSPERIODICKERNEXTRACTPARAM Extract parameters from the GIBBSPERIODIC kernel structure.
% LINARD2KERNEXPANDPARAM Create kernel structure from LINARD2 kernel's parameters.
% SQEXPKERNDISPLAY Display parameters of the SQEXP kernel.
% BIASKERNCOMPUTE Compute the BIAS kernel given the parameters and X.
% RBFINFWHITEKERNEXPANDPARAM Create kernel structure from RBF-WHITE kernel's
% LFMWHITEXRBFWHITEKERNCOMPUTE Compute a cross kernel between an LFM-WHITE
% CMPNDKERNGRADIENT Gradient of CMPND kernel's parameters.
% GAUSSIANWHITEKERNDISPLAY Display parameters of the GAUSSIAN white kernel.
% NONEKERNDIAGGRADX Gradient of NONE kernel's diagonal with respect to X.
% GAUSSIANWHITEKERNDIAGGRADIENT Compute the gradient of the gaussian white 
% FILEKERNCOMPUTE Compute the FILE kernel given the parameters and X.
% NONEKERNEXPANDPARAM Create kernel structure from NONE kernel's parameters.
% MATERN52KERNDIAGGRADX Gradient of MATERN52 kernel's diagonal with respect to X.
% GIBBSKERNGRADX Gradient of GIBBS kernel with respect to input locations.
% CMPNDKERNDIAGGRADIENT Compute the gradient of the CMPND kernel's diagonal wrt parameters.
% GIBBSKERNDIAGGRADIENT Compute the gradient of the GIBBS kernel's diagonal wrt parameters.
% MLPKERNEXPANDPARAM Create kernel structure from MLP kernel's parameters.
% SIMWHITEKERNDISPLAY Display parameters of the SIM-WHITE kernel.
% TRANSLATEKERNEXTRACTPARAM Extract parameters from the TRANSLATE kernel structure.
% GIBBSPERIODICKERNPARAMINIT GIBBSPERIODIC kernel parameter initialisation.
% LFMGRADIENTH31 Gradient of the function h_i(z) with respect to some of the
% OUKERNPARAMINIT Ornstein-Uhlenbeck (OU) kernel parameter initialisation.
% LFMXLFMKERNGRADIENT Compute a cross gradient between two LFM kernels.
% KERNEXPANDPARAM Expand parameters to form a kernel structure.
% DEXPKERNCOMPUTE Compute the double exponential kernel,
% WHITEKERNDISPLAY Display parameters of the WHITE kernel.
% WIENERKERNDIAGGRADX Gradient of WIENER kernel's diagonal with respect to X.
% RBFKERNDIAGCOMPUTE Compute diagonal of RBF kernel.
% WHITEHKERNDIAGGRADX Gradient of WHITEH kernel's diagonal with respect to X.
% MULTIKERNDISPLAY Display parameters of the MULTI kernel.
% WHITEKERNDIAGGRADIENT Compute the gradient of the WHITE kernel's diagonal wrt parameters.
% GIBBSKERNDIAGGRADX Gradient of GIBBS kernel's diagonal with respect to X.
% PSKERNELOBJECTIVE Likelihood approximation for point set IVM.
% RBFARDKERNDIAGCOMPUTE Compute diagonal of RBFARD kernel.
% LINKERNEXTRACTPARAM Extract parameters from the LIN kernel structure.
% MULTIKERNGRADIENTBLOCKX
% RBFKERNEXPANDPARAM Create kernel structure from RBF kernel's parameters.
% POLYARDKERNGRADX Gradient of POLYARD kernel with respect to input locations.
% GAUSSIANWHITEKERNGRADX Gradient of gaussian white kernel with respect 
% LINARDKERNGRADX Gradient of LINARD kernel with respect to input locations.
